/**
 * 
 */
package org.gcube.accounting.datamodel.implementations.aggregated;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import org.gcube.accounting.datamodel.AggregatedUsageRecord;
import org.gcube.accounting.exception.InvalidValueException;

/**
 * @author Luca Frosini (ISTI - CNR) http://www.lucafrosini.com/
 *
 */
public class PortletUsageRecord extends org.gcube.accounting.datamodel.implementations.PortletUsageRecord implements AggregatedUsageRecord<PortletUsageRecord> {

	
	/**
	 * Generated Serial version UID
	 */
	private static final long serialVersionUID = 7445526162102677455L;

	public PortletUsageRecord(){
		super();
		this.resourceProperties.put(AGGREGATED, true);
	}
	
	public PortletUsageRecord(Map<String, Serializable> properties) throws InvalidValueException{
		super(properties);
		this.resourceProperties.put(AGGREGATED, true);
	}
	
	/**
	 * {@inheritDoc}
	 */
	@Override
	public List<PortletUsageRecord> aggregate(List<PortletUsageRecord> records) {
		// TODO implements
		throw new UnsupportedOperationException();
	}
	
}
